aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorYaroslav de la Peña Smirnov <yps@yaroslavps.com>2021-03-25 19:07:20 +0300
committerYaroslav de la Peña Smirnov <yps@yaroslavps.com>2021-03-25 19:07:20 +0300
commit10af684bcb10b903453fb6926e369694c402e248 (patch)
tree3b18d573a8788372655122c12f92e26febd80f50
parentde7fcb3e45ae5da908ad1e8d1ef1fd77b15fe358 (diff)
downloadswayrice-10af684bcb10b903453fb6926e369694c402e248.tar.gz
swayrice-10af684bcb10b903453fb6926e369694c402e248.zip
Small changes
* (Temporarily?) change underline cursor to block, as it is not very convenient the way it is rendered in foot. * Other changes.
-rwxr-xr-xartix.sh6
-rw-r--r--dotfiles/.config/zsh/.zshrc4
-rwxr-xr-xdotfiles/.local/bin/notistats2
3 files changed, 6 insertions, 6 deletions
diff --git a/artix.sh b/artix.sh
index 15434ed..bef19a5 100755
--- a/artix.sh
+++ b/artix.sh
@@ -19,9 +19,9 @@ pacman -Sy zsh zsh-syntax-highlighting openresolv wireguard-tools \
otf-latinmodern-math powerline-fonts python-pygit2 polkit polkit-gnome \
zathura zathura-pdf-mupdf zathura-djvu gst-libav vifm blueman bluez \
bluez-runit acpilight accountsservice xdg-user-dirs abook terminus-font \
- qutebrowser jq stow wdiff texlive-most units isync notmuch pass \
- translate-shell gnome-keyring pacman-contrib linux-headers \
- v4l2loopback-dkms highlight mediainfo || exit 1
+ qutebrowser jq stow wdiff texlive-most texlive-lang biber units isync \
+ notmuch pass translate-shell gnome-keyring pacman-contrib linux-headers \
+ openntpd openntpd-runit v4l2loopback-dkms highlight mediainfo || exit 1
# Copy system config files
cp system/sudoers /etc/
diff --git a/dotfiles/.config/zsh/.zshrc b/dotfiles/.config/zsh/.zshrc
index 66e7880..727bfe0 100644
--- a/dotfiles/.config/zsh/.zshrc
+++ b/dotfiles/.config/zsh/.zshrc
@@ -41,8 +41,8 @@ bindkey -v '^?' backward-delete-char
# Change cursor shape for different vi modes.
function zle-keymap-select {
if [[ ${KEYMAP} == vicmd ]] ||
- [[ $1 = 'underscore' ]]; then
- echo -ne '\e[3 q'
+ [[ $1 = 'underline' ]]; then
+ echo -ne '\e[1 q'
elif [[ ${KEYMAP} == main ]] ||
[[ ${KEYMAP} == viins ]] ||
[[ ${KEYMAP} = '' ]] ||
diff --git a/dotfiles/.local/bin/notistats b/dotfiles/.local/bin/notistats
index 83e2f80..cd50276 100755
--- a/dotfiles/.local/bin/notistats
+++ b/dotfiles/.local/bin/notistats
@@ -3,7 +3,7 @@
body=$(df -h / | tail -1 | awk '{print "Free space on /:\t" $4}';
free -m | sed '2!d' | awk '{print "Memory in use:\t" $3"/"$2"MB"}';
lscpu | grep 'CPU MHz' | awk '{print "CPU clock:\t" $3"MHz"}';
-sensors | grep 'Package id 0' | sed 's/Package id 0/CPU temp/' | awk '{print $1 $2 "\t" $3}';
+sensors | grep 'Core 0' | sed 's/Core 0/CPU temp/' | awk '{print $1 $2 "\t" $3}';
sensors | grep 'fan')
if [ -f /sys/class/power_supply/BAT0/uevent ]; then
body=$body"\n"$(echo print\(\'BAT0 drainage:\\t{}W\'.format\($(grep 'POWER_SUPPLY_POWER_NOW' /sys/class/power_supply/BAT0/uevent | awk -F '=' '{print $2}')/1000000\)\) | python)